

# ListMalwareScans


Returns a list of malware scans. Each member account can view the malware scans for their own accounts. An administrator can view the malware scans for all of its members' accounts.

## Request Syntax


```
POST /malware-scan?maxResults=MaxResults&nextToken=NextToken HTTP/1.1
Content-type: application/json

{
   "filterCriteria": { 
      "filterCriterion": [ 
         { 
            "filterCondition": { 
               "equalsValue": "string",
               "greaterThan": number,
               "lessThan": number
            },
            "criterionKey": "string"
         }
      ]
   },
   "sortCriteria": { 
      "attributeName": "string",
      "orderBy": "string"
   }
}
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [MaxResults](#API_ListMalwareScans_RequestSyntax) **   <a name="guardduty-ListMalwareScans-request-uri-MaxResults"></a>
You can use this parameter to indicate the maximum number of items that you want in the response. The default value is 50. The maximum value is 50.  
Valid Range: Minimum value of 1. Maximum value of 50.

 ** [NextToken](#API_ListMalwareScans_RequestSyntax) **   <a name="guardduty-ListMalwareScans-request-uri-NextToken"></a>
You can use this parameter when paginating results. Set the value of this parameter to null on your first call to the list action. For subsequent calls to the action, fill nextToken in the request with the value of NextToken from the previous response to continue listing results.

## Request Body


The request accepts the following data in JSON format.

 ** [filterCriteria](#API_ListMalwareScans_RequestSyntax) **   <a name="guardduty-ListMalwareScans-request-filterCriteria"></a>
Represents the criteria used to filter the malware scan entries.  
Type: [ListMalwareScansFilterCriteria](API_ListMalwareScansFilterCriteria.md) object  
Required: No

 ** [sortCriteria](#API_ListMalwareScans_RequestSyntax) **   <a name="guardduty-ListMalwareScans-request-sortCriteria"></a>
Represents the criteria used for sorting malware scan entries.  
Type: [SortCriteria](API_SortCriteria.md) object  
Required: No

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "scans": [ 
      { 
         "resourceArn": "string",
         "resourceType": "string",
         "scanCompletedAt": number,
         "scanId": "string",
         "scanResultStatus": "string",
         "scanStartedAt": number,
         "scanStatus": "string",
         "scanType": "string"
      }
   ]
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_ListMalwareScans_ResponseSyntax) **   <a name="guardduty-ListMalwareScans-response-nextToken"></a>
The pagination parameter to be used on the next list operation to retrieve more scans.  
Type: String

 ** [scans](#API_ListMalwareScans_ResponseSyntax) **   <a name="guardduty-ListMalwareScans-response-scans"></a>
The list of malware scans associated with the provided input parameters.  
Type: Array of [MalwareScan](API_MalwareScan.md) objects

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
A bad request exception object.    
 ** Message **   
The error message.  
 ** Type **   
The error type.
HTTP Status Code: 400

 ** InternalServerErrorException **   
An internal server error exception object.    
 ** Message **   
The error message.  
 ** Type **   
The error type.
HTTP Status Code: 500

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/guardduty-2017-11-28/ListMalwareScans) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/guardduty-2017-11-28/ListMalwareScans) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/guardduty-2017-11-28/ListMalwareScans) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/guardduty-2017-11-28/ListMalwareScans) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/guardduty-2017-11-28/ListMalwareScans) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/guardduty-2017-11-28/ListMalwareScans) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/guardduty-2017-11-28/ListMalwareScans) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/guardduty-2017-11-28/ListMalwareScans) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/guardduty-2017-11-28/ListMalwareScans) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/guardduty-2017-11-28/ListMalwareScans) 